Create a payment link
Creates a payment link and returns its public checkout URL. The link starts as pending.
Creates a payment link and returns its public checkout URL. The link starts as pending.
Authorization
secretKey Sandbox try-it accepts sk_test_… only.
In: header
Header Parameters
A unique value per logical operation, so retries are safe. Retained for 24 hours, scoped to your API key.
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/payment-links" \ -H "Idempotency-Key: 8f14e45f-ceea-467a-9575-8f14e45fceea" \ -H "Content-Type: application/json" \ -d '{ "amount": 150000, "title": "Invoice" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference_id": "string", "url": "http://example.com", "status": "pending", "amount": 0, "fee": { "total": 0, "transaction": 0, "instant_settlement": 0, "paid_by": "me" }, "payer_amount": 0, "net_amount": 0, "title": "string", "note": "string", "payment_method": "string", "settlement_account_id": "d050fea4-5b02-490d-8c34-3ec6e6f56121", "expires_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z", "settle_at": "2019-08-24T14:15:22Z", "settled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" }, "meta": { "request_id": "string" }}